from flask_restx import fields, Namespace  

auth_ns = Namespace('auth', description='Authentication')

signup_model = auth_ns.model('SignUp', {
    'email': fields.String(required=True),
    'password': fields.String(required=True),
    'roles': fields.List(fields.String, required=False, default=["user"])
})

signin_model = auth_ns.model('SignIn', {
    'email': fields.String(required=True),
    'password': fields.String(required=True) 
})